<?php

namespace App\Http\Controllers;

class TabelaPreco
{
    /**
     * Retorna a taxa de operação com base na quantidade de operações.
     *
     * @param int $quantidade
     * @return float
     */
    public static function getTaxaOperacao(int $quantidade): array
    {
        $tabela = [
            ['min' => 0,   'max' => 0,           'taxa' => 0,     'id' => 0],
            ['min' => 1,   'max' => 20,          'taxa' => 19.90, 'id' => 3],
            ['min' => 21,  'max' => 30,          'taxa' => 16.27, 'id' => 4],
            ['min' => 31,  'max' => 40,          'taxa' => 15.48, 'id' => 5],
            ['min' => 41,  'max' => 50,          'taxa' => 14.68, 'id' => 6],
            ['min' => 51,  'max' => 60,          'taxa' => 13.89, 'id' => 7],
            ['min' => 61,  'max' => 70,          'taxa' => 13.09, 'id' => 8],
            ['min' => 71,  'max' => 80,          'taxa' => 12.30, 'id' => 9],
            ['min' => 81,  'max' => 90,          'taxa' => 11.50, 'id' => 10],
            ['min' => 91,  'max' => 100,         'taxa' => 10.70, 'id' => 11],
            ['min' => 101, 'max' => 150,         'taxa' => 9.91,  'id' => 12],
            ['min' => 151, 'max' => 200,         'taxa' => 9.11,  'id' => 13],
            ['min' => 201, 'max' => 250,         'taxa' => 8.31,  'id' => 14],
            ['min' => 251, 'max' => 300,         'taxa' => 7.52,  'id' => 15],
            ['min' => 301, 'max' => PHP_INT_MAX, 'taxa' => 6.72,  'id' => 16],
        ];

        foreach ($tabela as $faixa) {
            if ($quantidade >= $faixa['min'] && $quantidade <= $faixa['max']) {
                return [
                    'taxa'=> $faixa['taxa'],
                    'id' => $faixa['id']
                ];
            }
        }

        return [
            'taxa' => 0.0,
            'id' => null,
        ];
    }
}
